package com.m2pool.pool.service;


import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.common.core.web.page.TableDataInfo;
import com.m2pool.pool.dto.UserReadPageInfoReturnDto;
import com.m2pool.pool.vo.*;

import java.util.List;

/**
 * @Description 只读页面 挖矿账户相关服务类
 * @Date 2024/6/14 11:40
 * @Author dy
 */
public interface ReadOnlyService {

    /**
     * 生成只读页面链接
     * @param vo 只读页面基本信息 挖矿账号、币种、备注、权限配置
     * @return
     */
    public AjaxResult createPageUrl(ReadOnlyHtmlCreateVo vo);

    /**
     * 获取只读页面列表 查看用户生成的只读页面
     * @param vo
     * @return
     */
    public TableDataInfo getUrlList(PageVo vo);

    public AjaxResult getUrlInfo(ReadOnlyKeyVo vo);

    public AjaxResult changeUrlInfo(ReadOnlyHtmlChangeVo vo);

    public AjaxResult delPageByKey(ReadOnlyKeyVo vo);

    public AjaxResult getPageInfo(ReadOnlyKeyVo vo);

    public AjaxResult getProfitInfo(ReadOnlyKeyVo vo);

    public AjaxResult getMinerAccountPower(ReadOnlyIntervalVo vo);

    public AjaxResult getAccountPowerDistribution(ReadOnlyIntervalVo vo);

    public AjaxResult getMinerList(ReadOnlyListVo vo);

    public AjaxResult getMinerPower(ReadOnlyMinerVo vo);

    public TableDataInfo getHistoryIncome(ReadOnlyPageVo vo);

    public TableDataInfo getHistoryOutcome(ReadOnlyPageVo vo);
}
